use strict;
use Test::More tests => 1;

use lib 't/lib';
use DbUtil;

use PythonTech::Triples::DBHash;
use DB_File;

my $dbname = 't/new02.3db';

# With access = 'w', should create new db file
unlink($dbname);
my $new = new PythonTech::Triples::DBHash(filename => $dbname,
					  access => 'w');
$new->add('foo','bar','baz');
$new->add('foo','bar','quux');
$new->commit;

$new->disconnect; # close it
my $expected = join('', map {"$_\n"} sort
		    'v1 = foo', 'ifoo = 1',
		    'v2 = bar', 'ibar = 2',
		    'v3 = baz', 'ibaz = 3',
		    'v4 = quux', 'iquux = 4',
		    'l = 4',
		    't1,2,3 = 1',
		    't1,2,4 = 1',
		    'o1,2 = 3+4',
		    's2,3 = 1',
		    's2,4 = 1');
is(&dbread($dbname), $expected, 'db data for 2 triples');

$new = undef;
unlink($dbname);
